#Build a model from scratch
##Build a new model
* Architecture: choose the model architecture (unet and linknet are a good start). The architecture of the model is the arrangement of model layers and their connection. CNNs are composed of an encoder and a decoder.
* Backbone: define the model encoder (competition winning encoders). The encoder is the 'eyes' of the network, it extracts image features that are then used by the decoder to generate the expected output.
* Input width: Often optional (keep it to None if the model can work with any image size). Select the model input layer width (keep it low, to avoid memory errors).
* Input height: Often optional (keep it to None if the model can work with any image size). Select the model input layer height (keep it low, to avoid memory errors).
* Input channels: select the number of channels of the input layer of the model.
* Activation layer: choose an activation to be applied to the last layer of the model (sigmoid is a good choice for generating binary output such as a segmentation mask).
* Number of classes: select the number of different predictions the model should predict, this can also be seen as the number of channels of the output image generated by the model.

##Model weights
* Optional: you can load weights to be applied to the model (the architecture of the model and the weights must match one to one or an error will occur). Usually model weigths are provided as a .h5 file.

##Create the model
* Press 'Go' to build the model (Note that building a model can take a lot of time, up to several minutes so please be patient).